mochitest-plain: intermittent "test_wav_ended2.html | Expect at least one playing event"

RESOLVED FIXED

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: roc, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
All
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Blocks: 438871
Whiteboard: [orange]
More errors in test_ended2.html - not identical to the bug summary, but likely related?

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242757541.1242764521.13591.gz&fulltext=1#err0
(In reply to comment #0)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242227885.1242235566.1385.gz#err0

{
WINNT 5.2 mozilla-central unit test on 2009/05/13 08:18:05

*** 28006 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Expect at least one playing event

command timed out: 300 seconds without output
program finished with exit code 1
}

This occurrence did not "fail", but (was) "timed out".

*****

(In reply to comment #1)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242339690.1242348771.22749.gz

WINNT 5.2 mozilla-central unit test on 2009/05/14 15:21:30

{
*** 28003 INFO Running /tests/content/media/video/test/test_ended2.html...
*** 28004 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Checking currentTime at end: 3.9660000801086426
*** 28005 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Checking playback has ended
*** 28006 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Expect at least one playing event
*** 28007 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Checking currentTime at end: 3.9660000801086426
*** 28008 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Checking playback has ended
NEXT ERROR *** 28009 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/video/test/test_ended2.html | Expect at least one playing event
*** 28010 INFO TEST-PASS | /tests/content/media/video/test/test_ended2.html | Check playback after ended event
}

It looks like this case is what this bug is about.

*****

(In reply to comment #2)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242432859.1242439071.30675.gz

(In reply to comment #3)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242757541.1242764521.13591.gz&fulltext=1#err0

No, these are bug 493647.

*****

Bug still there:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1244896338.1244899630.9969.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/06/13 05:32:18

28869 INFO Running /tests/content/media/video/test/test_wav_ended2.html...
28870 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Checking currentTime at end: 1
28871 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Checking playback has ended
28872 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Expect at least one playing event
28873 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Checking currentTime at end: 1
28874 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Checking playback has ended
28875 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/video/test/test_wav_ended2.html | Expect at least one playing event
28876 INFO TEST-PASS | /tests/content/media/video/test/test_wav_ended2.html | Check playback after ended event
}
OS: Windows XP → All
Summary: Timeout in test_ended2.html after "Expect at least one playing event" → mochitest-plain: intermittent "TEST-UNEXPECTED-FAIL ... test_wav_ended2.html | Expect at least one playing event"
OS X 10.5.2 mozilla-central test mochitests on 2009/07/28 16:49:15  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1248824955.1248827539.13383.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250687814.1250697082.9687.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/19 06:16:54
Summary: mochitest-plain: intermittent "TEST-UNEXPECTED-FAIL ... test_wav_ended2.html | Expect at least one playing event" → mochitest-plain: intermittent "test_wav_ended2.html | Expect at least one playing event"
In bug 513144 I found a problem in the Wave decoder that was causing failures in this test. Hopefully my patch in bug 513144 will fix this.
Depends on: 513144
Depends on: 525401
Fixed by bug 513144.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.